Developer Documentation

Public Member Functions | Private Attributes | List of all members
SkeletonT< PointT >::AnimationIterator Class Reference

Iterator class for the animations attached to a skeleton. More...

`#include <Type-Skeleton/ObjectTypes/Skeleton/SkeletonT.hh>`

## Public Member Functions
| AnimationIterator (std::vector< Animation *> &_animations)
| Default constructor. More...
| AnimationIterator (std::vector< Animation *> &_animations, size_t _animationIndex)
| Constructor - Creates an iterator for the given animation set starting at a specific position.
AnimationIterator & | operator++ ()
| Increase the iterator. More...
AnimationHandle | operator* () const
| Get an animation handle for the current animation.
AnimationIterator & | operator= (const AnimationIterator &other)
| Operator =.
| operator bool () const
| boolean operator More...

## Private Attributes
size_t | currentIndex_
std::vector< Animation * > & | animations_

## Detailed Description

### template<class PointT>
class SkeletonT< PointT >::AnimationIterator

Iterator class for the animations attached to a skeleton.

This iterator can be used to iterate over all animations that are attached to the skeleton

Definition at line 114 of file SkeletonT.hh.

## Constructor & Destructor Documentation

## ◆ AnimationIterator()

template<typename PointT >

SkeletonT< PointT >::AnimationIterator::AnimationIterator | ( | std::vector< Animation *> & | _animations | ) |
| explicit

Default constructor.

Creates an iterator pointing to the beginning of the vector of animations

Definition at line 288 of file SkeletonT_impl.hh.

## Member Function Documentation

## ◆ operator bool()

template<typename PointT >

SkeletonT< PointT >::AnimationIterator::operator bool | ( |  | ) | const

boolean operator

Returns true if the iterator is pointing to a valid handle

Definition at line 350 of file SkeletonT_impl.hh.

## ◆ operator++()

template<typename PointT >

SkeletonT< PointT >::AnimationIterator & SkeletonT< PointT >::AnimationIterator::operator++ | ( |  | ) |

Increase the iterator.

The iterator will be changed to the next animation in the list

Definition at line 322 of file SkeletonT_impl.hh.

The documentation for this class was generated from the following files:

- Type-Skeleton/ObjectTypes/Skeleton/SkeletonT.hh
- Type-Skeleton/ObjectTypes/Skeleton/SkeletonT_impl.hh